Master essential Mac skills!

Expand or refresh your Mac know-how with
Take Control of Mac Basics by Tonya Engst!

Safari 5 Update Compatibility

For the Macintosh, the free Safari update requires Mac OS X Leopard 10.5.8 or Snow Leopard 10.6.2 or 10.6.3. If you’re still using 10.4 Tiger, you can take advantage of many of Safari 5’s features other than Safari Reader by upgrading to Safari 4.1 for Tiger, which is also available via Software Update.

The Windows versions of Safari 5 run under Windows XP, Windows Vista, and Windows 7; they seem to be available from Apple’s Safari 5 download page.

To learn more about what’s new in Safari 5.1 for Tiger, look at later entries in this blog, especially Enhanced Features in Safari 4.1.

Posted by Tonya Engst (Permalink)